[Twisted-Python] Decide on and document Python version support policy

exarkun at twistedmatrix.com exarkun at twistedmatrix.com
Wed Dec 23 22:26:38 EST 2009

On 01:06 am, lists at collab.nl wrote:
>So there's ticket #1234 to deal with, and since Python 2.3 support for 
>Twisted recently seems to have been dropped, I wonder what the policy 
>should be?

I don't know what should be done to resolve the ticket.  Here's why we 
dropped Python 2.3 support post-9.0, though:

  * Developers complain from time to time about having to support Python 

  * Running builders for the upcoming Python 2.7 release is going to 
over-tax our build slave farm.  Dropping Python 2.3 gives us *little* 
breathing room here (but we're still short on, eg, Windows, where we 
haven't been testing Python 2.3 for quite a while anyway).

  * No reasonably current releases of mainstream platforms that I'm aware 
of are still bound to Python 2.3.


More information about the Twisted-Python mailing list